Bug 603178 - License tag incomplete
License tag incomplete
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ipython (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Thomas Spura
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-11 14:36 EDT by Toshio Ernie Kuratomi
Modified: 2013-01-10 05:42 EST (History)
3 users (show)

See Also:
Fixed In Version: ipython-0.10-6.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-06 13:30:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Toshio Ernie Kuratomi 2010-06-11 14:36:57 EDT
Description of problem:
ipython has many licenses (BSD, MIT, Python, and GPLv2+).  The License tag needs to be updated to mention all of these:

License:        (BSD and MIT and Python) and GPLv2+

The BSD, MIT, and Python licenses are part of ipython itself.  The GPLv2+ license is used on an "extension" and therefore outside of the paranthesis (and doesn't override the other licenses).
Comment 1 Thomas Spura 2010-06-11 17:26:01 EDT
Thanks!

I changed this locally without commiting yet to CVS etc to:
 11 # See bug #603178 for a quick overview for the choice of licenses
 12 # most files are under BSD and just a few under Python
 13 # There are some extensions released under GPLv2+ and (PSF or ZPL)
 14 License:        (BSD and MIT and Python) and GPLv2+ and (PSF or ZPL)


After a grep thought the current git repo [1], I found this file:
IPython/external/simplegeneric.py:7:#License: PSF or ZPL

I don't know what PSF should be and ZPL does not exist as a fedora license. There is just ZPLv1.0 or ZPLv1.1 or ZPLv2.0. I quess, I need to ask upstream (ipython upstream and possible the main author of this extension).

Am I right?


[1] git://github.com/ipython/ipython.git
Comment 2 Toshio Ernie Kuratomi 2010-06-11 18:25:25 EDT
Correct about needing to clarify the ZPL version.  PSF == Python.  

An your mention of that file actually triggered another memory I had from reviewing the source :-(  The IPython/external directory is full of bundled libraries.

In this case, it might help us as python-simplegeneric is in Fedora so we can just use that and not need to worry about the licensing.

Want a new bug on the externals after I track down what's in there?
Comment 3 Fedora Update System 2010-06-19 16:19:54 EDT
ipython-0.10-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/ipython-0.10-3.fc13
Comment 4 Fedora Update System 2010-06-21 17:35:56 EDT
ipython-0.10-3.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ipython'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/ipython-0.10-3.fc13
Comment 5 Fedora Update System 2010-06-21 18:13:11 EDT
ipython-0.10-4.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/ipython-0.10-4.fc13
Comment 6 Fedora Update System 2010-06-22 13:14:38 EDT
ipython-0.10-5.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ipython'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/ipython-0.10-5.fc13
Comment 7 Fedora Update System 2010-06-22 13:17:25 EDT
ipython-0.10-4.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ipython'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/ipython-0.10-4.fc13
Comment 8 Fedora Update System 2010-07-06 13:30:37 EDT
ipython-0.10-5.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2010-07-19 10:39:50 EDT
ipython-0.10-6.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/ipython-0.10-6.fc13
Comment 10 Fedora Update System 2010-08-02 20:38:37 EDT
ipython-0.10-6.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.